Package javax.validation

# Class ConstraintViolationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
javax.validation.ValidationException
javax.validation.ConstraintViolationException

All Implemented Interfaces:
  `Serializable`

public class ConstraintViolationException extends ValidationException

Version:
  $Rev$ $Date$
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ConstraintViolationException(String message, Set<? extends ConstraintViolation<?>> constraintViolations)`
`ConstraintViolationException(Set<? extends ConstraintViolation<?>> constraintViolations)`

## Method Summary

Modifier and Type
Method
Description
`Set<ConstraintViolation<?>>`
`getConstraintViolations()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ConstraintViolationException

public ConstraintViolationException(String message, Set<? extends ConstraintViolation<?>> constraintViolations)

### ConstraintViolationException

public ConstraintViolationException(Set<? extends ConstraintViolation<?>> constraintViolations)

## Method Details

### getConstraintViolations

public Set<ConstraintViolation<?>> getConstraintViolations()